Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 448702 - Review Request: SndObj - The Sound Object Library
Summary: Review Request: SndObj - The Sound Object Library
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-05-28 10:56 UTC by Victor Lazzarini
Modified: 2008-09-10 11:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 11:02:04 UTC


Attachments (Terms of Use)
patch to address cstring issues (deleted)
2008-05-30 01:52 UTC, Ralf Corsepius
no flags Details

Description Victor Lazzarini 2008-05-28 10:56:51 UTC
Spec URL: http://music.nuim.ie/vlazzarini/tmp/SndObj.spec
SRPM URL: http://music.nuim.ie/vlazzarini/tmp/SndObj-2.6.6-0.fc7.src.rpm
Description: This the package of the SndObj library, a general-purpose 
audio programming library. This is my second package and I would like
it to be reviewed as part of the process of my getting sponsored.

Comment 1 Mamoru TASAKA 2008-05-28 15:08:31 UTC
For what branches (i.e. Fedora-[10-8] or olpc) do you want to
import this package?

Comment 2 Victor Lazzarini 2008-05-28 15:37:29 UTC
If possible, both; otherwise just Fedora

Comment 3 Mamoru TASAKA 2008-05-28 18:09:26 UTC
Well, your srpm does not build on either dist-f10 or dist-f9-updates-candidate:

http://koji.fedoraproject.org/koji/taskinfo?taskID=633523
http://koji.fedoraproject.org/koji/taskinfo?taskID=633567

Unfortunately I am not scons expert and perhaps I don't know
what is going on.

Comment 4 Victor Lazzarini 2008-05-28 18:28:13 UTC
It's OK, I can see what the problem is, there is a Command
target that scons does not like. I'll fix this tomorrow.
Thanks. 

Comment 5 Victor Lazzarini 2008-05-29 16:51:45 UTC
I think I have the scons problem fixed now. Here are the
new packages
Spec URL: http://music.nuim.ie/vlazzarini/tmp/SndObj.spec
SRPM URL: http://music.nuim.ie/vlazzarini/tmp/SndObj-2.6.6-1.fc7.src.rpm

Thanks


Comment 6 Mamoru TASAKA 2008-05-29 17:14:38 UTC
This time build fails with another reason (perhaps gcc43 header files
inclusion change)

http://koji.fedoraproject.org/koji/taskinfo?taskID=635118

Comment 7 Victor Lazzarini 2008-05-29 18:25:45 UTC
OK. Do you know where memset() is in gcc43? This seems easy to
fix.
Thanks 

Comment 8 Ralf Corsepius 2008-05-30 01:49:52 UTC
(In reply to comment #7)
> OK. Do you know where memset() is in gcc43?
man memset
... #include <string.h>
=> #include <cstring>


Comment 9 Ralf Corsepius 2008-05-30 01:52:02 UTC
Created attachment 307156 [details]
patch to address cstring issues

Comment 10 Mamoru TASAKA 2008-05-30 11:17:09 UTC
Removing NEEDSPONSOR, I am sponsoring

Comment 11 Mamoru TASAKA 2008-06-06 15:15:06 UTC
Ralf, thank you for the patch.

Well, even after applying the patch in comment 9, the build still fails
(due to another reason)
http://koji.fedoraproject.org/koji/taskinfo?taskID=650441

Comment 12 Jason Tibbitts 2008-06-28 17:23:44 UTC
Any response, Victor?  It's been a month since your last comment.

Comment 13 Victor Lazzarini 2008-06-28 18:04:39 UTC
Sorry, but I have not had time to work on this. I have fixes for
everything and now I can test it on Koji. But it will be mid-July
before I can get around to doing it. 
I am taking this off the urgent priority.

Comment 14 Victor Lazzarini 2008-06-28 18:04:48 UTC
Sorry, but I have not had time to work on this. I have fixes for
everything and now I can test it on Koji. But it will be mid-July
before I can get around to doing it. 
I am taking this off the urgent priority.

Comment 15 Jason Tibbitts 2008-06-28 19:42:09 UTC
OK, just clear the status whiteboard when you're ready and this will reappear in
the review queue.

Comment 16 Mamoru TASAKA 2008-07-24 17:18:08 UTC
What is the status of this package?

Comment 17 Victor Lazzarini 2008-07-24 17:50:46 UTC
Not ready for re-review yet. I have to fix some of the scons build issues
before I set it for approval. 

Comment 18 Mamoru TASAKA 2008-09-10 07:26:11 UTC
Any updates here?

Comment 19 Victor Lazzarini 2008-09-10 11:02:04 UTC
I have closed this bug for the moment. The package needs some extra work that will  take a little longer than I predicted. I will open a new ticket when I have it ready for review again.

Comment 20 Mamoru TASAKA 2008-09-10 11:50:17 UTC
Okay, feel free to open a new review request when it is ready.


Note You need to log in before you can comment on or make changes to this bug.